ELFTC_VERSION(3)

NAME
elftc_version - return a project-wide version identifier string

LIBRARY
libelftc

SYNOPSIS
#include <libelftc.h>
const char *
elftc_version(void);

DESCRIPTION
Function elftc_version() returns a project-wide identifier string that encodes the source revision of the project source tree.

The returned identifier has four space-separated fields:

Project-Name
    This is always “elftoolchain”.

Project-Branch
    The branch name for the project source tree.

Build-OS
    The operating system that the tool chain was compiled for.

Version-Number
    A tree-wide version number extracted from the version control system in use.

RETURN VALUES
Function elftc_program_version() returns a pointer to an internal character buffer.

EXAMPLES
To retrieve and print the current toolchain version identifier, use:

    #include <sys/types.h>
    #include <libelftc.h>
    (void) printf("%s\n", elftc_version());

On the HEAD branch of the project's sources, when checked out using Subversion and compiled on a NetBSD host, this would print:
    “elftoolchain HEAD NetBSD svn:REVINFO”
where REVINFO would be the current revision information for the project source tree.

ERRORS
Function elftc_program_version() always succeeds.